import { Component } from 'react'
import Taro from '@tarojs/taro'
import store, { StoreRoot } from './store'

import './app.less'


class App extends Component {

  componentDidMount () { }

  componentDidShow () { }
  onLaunch (options) {
    // 登录获取人员信息

    const { logins } = store.getModel('userData').getState()

    Taro.login({
      success: (res) => {
        const { code } = res;
        logins({ code })

      }
    })

  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}
export default App
